<?xml version="1.0" encoding="UTF-8"?>

<!--
  Copyright (c) 2015, 2019, Gluon and/or its affiliates.
  All rights reserved. Use is subject to license terms.

  This file is available and licensed under the following license:

  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions
  are met:

  - Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
  - Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the distribution.
  - Neither the name of Oracle Corporation nor the names of its
    contributors may be used to endorse or promote products derived
    from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-->

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.ChoiceBox?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.Menu?>
<?import javafx.scene.control.MenuBar?>
<?import javafx.scene.control.MenuItem?>
<?import javafx.scene.control.ProgressBar?>
<?import javafx.scene.control.SeparatorMenuItem?>
<?import javafx.scene.control.Tab?>
<?import javafx.scene.control.TabPane?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.layout.VBox?>

<VBox id="MainWindow" prefHeight="420.0" prefWidth="609.0" xmlns="http://javafx.com/javafx/16" xmlns:fx="http://javafx.com/fxml/1" fx:controller="tests.gui.TestController">
  <children>
    <MenuBar VBox.vgrow="NEVER">
      <menus>
        <Menu mnemonicParsing="false" text="User">
          <items>
            <MenuItem id="Profile" mnemonicParsing="false" text="User-Profile" />
            <MenuItem id="Preferences" mnemonicParsing="false" text="Preferences…" />
            <SeparatorMenuItem mnemonicParsing="false" />
            <MenuItem id="SaveProfile" mnemonicParsing="false" text="Save User" />
            <SeparatorMenuItem mnemonicParsing="false" />
                  <MenuItem id="LoadReference" mnemonicParsing="false" text="Load Reference" />
            <SeparatorMenuItem mnemonicParsing="false" />
            <MenuItem fx:id="quitItem" mnemonicParsing="false" onAction="#handleQuitMenuAction" text="Quit" />
          </items>
        </Menu>
            <Menu mnemonicParsing="false" text="Audio">
              <items>
                <MenuItem id="AudioSettings" mnemonicParsing="false" text="Audiosettings" />
              </items>
            </Menu>
        <Menu mnemonicParsing="false" text="View">
          <items>
            <MenuItem mnemonicParsing="false" text="Spectrogram" />
            <MenuItem mnemonicParsing="false" text="Charts" />
                  <MenuItem mnemonicParsing="false" text="Grid" />
                  <MenuItem mnemonicParsing="false" text="Statistics" />
          </items>
        </Menu>
        <Menu mnemonicParsing="false" text="Help">
          <items>
                  <MenuItem mnemonicParsing="false" text="Manual" />
                  <SeparatorMenuItem mnemonicParsing="false" />
            <MenuItem mnemonicParsing="false" text="About ResonanceApp" />
          </items>
        </Menu>
      </menus>
    </MenuBar>
      <TabPane maxHeight="1.7976931348623157E308" maxWidth="1.7976931348623157E308" prefHeight="334.0" prefWidth="640.0" side="BOTTOM" tabClosingPolicy="UNAVAILABLE">
        <tabs>
          <Tab id="SpectrogramTab" text="Spectrogram" />
          <Tab id="ChartTab" text="Chart" />
            <Tab id="GridTab" text="Grid" />
            <Tab text="Statistics">
              <content>
                <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="180.0" prefWidth="200.0" />
              </content>
            </Tab>
        </tabs>
      </TabPane>
      <GridPane id="ControlPanel" minWidth="-Infinity">
         <columnConstraints>
            <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
            <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
            <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
            <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" />
         </columnConstraints>
         <rowConstraints>
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" vgrow="SOMETIMES" />
         </rowConstraints>
         <children>
        <Label id="ControlPanel" alignment="CENTER" prefHeight="16.0" prefWidth="93.0" style="&#10;" text="Text Name:" textAlignment="CENTER" wrapText="false" />
            <ProgressBar prefHeight="20.0" prefWidth="297.0" progress="0.0" GridPane.columnIndex="3" />
            <Label text="Reference: " GridPane.columnIndex="1" />
            <ChoiceBox id="TextChoice" prefHeight="24.0" prefWidth="101.0" GridPane.rowIndex="1" />
            <Button id="PlayStopButton" mnemonicParsing="false" text="Play" GridPane.columnIndex="3" GridPane.rowIndex="1" />
            <ChoiceBox id="ReferenceUserChoice" prefHeight="24.0" prefWidth="101.0" GridPane.columnIndex="1" GridPane.columnSpan="2" GridPane.rowIndex="1" />
            <ChoiceBox id="ModeChoice" prefHeight="24.0" prefWidth="99.0" GridPane.columnIndex="2" GridPane.rowIndex="1" />
            <Label text="Mode:" GridPane.columnIndex="2" />
         </children>
      </GridPane>
  </children>
</VBox>
